// pages/newEnroll/index.js
const app = getApp();
var dateTimePicker = require("../../../utils/dateTimePicker.js");
var dateUtil = require("../../../utils/dateUtil.js");
import { isNotEmptyCheck, nationArray } from "../../../utils/commonUtil";
const mydate = new Date();
Page({
	/**
	 * 页面的初始数据
	 */
	data: {
		pageFrom: 1,
		files: [],
		switch1Checked: true,
		urls: [],
		userInfo: {
			name: "",
			address: "",
			age: "",
			nationality: "",
			sex: "",
			num: "",
			tel: "",
			idCardImageUrl: "",
		},
		showUpload: true,
		name: "",
		sex: [
			{
				id: 1,
				value: "男",
			},
			{
				id: 2,
				value: "女",
			},
		],
		loading: false,
		idInfo: {},
		index: -1,
		agentArray: [],
		ageArray: [],
		ageIndex: -1,
		// jobIndex: -1,
		jobArray: [
			// {
			// 	id: 1,
			// 	name: "GG",
			// },
		],
		storeIndex: -1,
		storeArray: [
			// {
			// 	id: 1,
			// 	name: "GG",
			// },
		],
		dateTimeArray1: null,
		dateTime1: null,
		startYear: 2022,
		endYear: 2024,
		currentTime: dateUtil.formatDateYMD(mydate.toLocaleDateString()),
		currentTime2: dateUtil.formatDateYMD(mydate.toLocaleDateString()),
		copyTime: dateUtil.formatDateYMD(mydate.toLocaleDateString()),
		searchListShow: false,
		searchListShow: false,
		searchKeys: "",
		searchKeysA: "",
		inputShowed: false,
		inputVal: "",
		inputShowedA: false,
		inputValA: "",
		storeId: "",
		agentId: "",
		agentName: "",
		storeJobId: "",
		policy: "",
		currentImg: "",
		nationIndex: -1, // 民族的索引
		managerRoleClassify: app.globalData.loginUserInfo.managerRoleClassify, // 管理员权限
		agencyStatus: app.globalData.loginUserInfo.agencyStatus,
		corpUserFlag: app.globalData.loginUserInfo.corpUserFlag, //内部成员
		nationArray,
		currentUser: {},
		jobName: "",
		newAddImg: [],
		tel: "",
		iosDialog1: false,
		zhedie: false,
		isShowZhedie: false,
		idCardImg: "",
		dateTime: "",
		pageShow: false,
	},
	preventTouchMove() {},
	bindPickerChangeAge(e) {
		console.log("picker发送选择改变，携带值为", e.detail.value);
		this.setData({
			ageIndex: e.detail.value,
			["userInfo.age"]: parseInt(e.detail.value) + 16,
		});
	},

	ifZhedie() {
		this.setData({
			zhedie: false,
		});
	},
	ifZhankai() {
		this.setData({
			zhedie: true,
		});
	},
	copyClose() {
		var that = this;

		console.log(that.data.userInfo);

		var text = "";
		if (that.data.userInfo.name != "") {
			text = "姓名：" + that.data.userInfo.name + "/" + ((that.data.userInfo.sex == 1 || that.data.userInfo.sex) == "男" ? "男" : "女") + "/" + (that.data.userInfo.age == "" ? "" : that.data.userInfo.age + "岁") + (that.data.userInfo.nationality == "族" ? "" : "/" + that.data.userInfo.nationality) + "\n电话：" + (that.data.userInfo.tel == "" ? "-" : that.data.userInfo.tel) + "\n身份证号：" + (that.data.userInfo.num == "" ? "-" : that.data.userInfo.num) + "\n家庭住址：" + (that.data.userInfo.address == "" ? "-" : that.data.userInfo.address) + "\n报名岗位：" + (that.data.jobName == "" ? "-" : that.data.jobName) + "\n面试时间：" + that.data.currentTime + "\n接待时间：" + that.data.currentTime2 + "\n政策：" + (that.data.policy == "" ? "-" : that.data.policy);
		} else {
			text = "姓名：-" + "\n电话：" + (that.data.userInfo.tel == "" ? "-" : that.data.userInfo.tel) + "\n身份证号：" + (that.data.userInfo.num == "" ? "-" : that.data.userInfo.num) + "\n家庭住址：" + (that.data.userInfo.address == "" ? "-" : that.data.userInfo.address) + "\n报名岗位：" + (that.data.jobName == "" ? "-" : that.data.jobName) + "\n面试时间：" + that.data.currentTime + "\n接待时间：" + that.data.currentTime2 + "\n政策：" + (that.data.policy == "" ? "-" : that.data.policy);
		}

		wx.setClipboardData({
			data: text,
			success(res) {
				wx.getClipboardData({
					success(res) {
						console.log(res.data); // data
						wx.showToast({
							title: "内容已复制",
							icon: "none",
							duration: 1500,
						});
						that.close1();
					},
				});
			},
		});
	},
	showInfo() {
		this.setData({
			iosDialog1: true,
		});
	},
	close1: function () {
		console.log("close");

		this.setData({
			iosDialog1: false,
		});
	},

	shrink() {
		// wx.navigateBack({
		//   delta: -1,
		// })
		var that = this;
		let from = wx.getStorageSync("BILLFROM");
		console.log(from);
		wx.navigateBack({
			delta: -1,
		});
		// wx.switchTab({
		// 	url: `/pages/${from}/index`,
		// });
		// if (that.data.pageFrom == 1) {
		// 	wx.switchTab({
		// 		url: "../../firstBill/index",
		// 	});
		// }
		// else {
		// 	wx.switchTab({
		// 		url: "../../workBench/index",
		// 	});
		// }
	},
	chooseMedia() {
		var that = this;
		wx.chooseMedia({
			count: 1,
			mediaType: ["image", "video"],
			sizeType: ["original", "compressed"],
			sourceType: ["album", "camera"],
			success(res) {
				// tempFilePath可以作为 img 标签的 src 属性显示图片
				wx.showLoading({
					title: "上传中...",
				});
				console.log(res);
				var currData = {};

				const tempFilePaths = res.tempFiles;
				tempFilePaths.forEach((item, index) => {
					wx.uploadFile({
						url: app.globalData.ip + "/imgs/uploadImage",
						method: "post",
						// data:currData,
						// name: "uploadFile",
						filePath: tempFilePaths[index].tempFilePath,
						name: "uploadFile",
						header: app.globalData.headers,
						success: function (res) {
							that.data.files.push({ url: JSON.parse(res.data).data, id: new Date().getTime() });
							that.setData({
								files: that.data.files,
							});
							that.pushImg();
							setTimeout(() => {
								wx.hideLoading();
							}, 2000);
							// that.updateImgs(currData.type,currData.fkId,currData.data.data);
						},
						fail: function (res) {
							console.log(res);

							setTimeout(() => {
								wx.hideLoading();
							}, 2000);
						},
					});
					setTimeout(() => {
						wx.hideLoading();
					}, 2000);
				});
			},
			fail(res) {
				if (res["errMsg"]) {
				}
				console.log(res);
			},
		});
	},
	delImgs(e) {
		var that = this;
		var url = e.currentTarget.dataset.url;
		var id = e.currentTarget.dataset.id;
		wx.showModal({
			title: "提示",
			content: "确定要删除该图片？",
			confirmColor: "#ff4400",
			success(res) {
				if (res.confirm) {
					that.data.files.forEach((item, index) => {
						if (id == item.id) {
							that.data.files.splice(index, 1);
							// that.data.newAddImg.splice(index, 1);
						}
					});
					that.pushImg();
					that.setData({
						files: that.data.files,
						// newAddImg: that.data.newAddImg,
					});
					if (id != -999) {
						wx.request({
							url: app.globalData.ip + "/imgs/del/" + id,
							header: app.globalData.header,
							// data:currData,
							method: "get",
							success: function (res) {
								console.log(res.data);
							},
							fail: function (res) {
								console.log(res);
							},
						});
					}
				} else if (res.cancel) {
					console.log("用户点击取消");
				}
			},
		});
	},
	pushImg() {
		var that = this;

		console.log(that.data.files);

		that.data.urls = [];
		// that.data.files.forEach(item=>{
		//   that.data.urls.push(item.url)
		// })

		let curr = [];
		that.data.files.forEach((item) => {
			curr.push({ url: item.url, id: item.id });
		});
		that.setData({
			urls: curr,
		});
	},
	showImgs(e) {
		var that = this;
		console.log(e);
		console.log(that.data.urls);
		let curr = [];
		that.data.urls.forEach((item) => {
			curr.push(item.url);
		});

		wx.previewImage({
			current: e.currentTarget.dataset.url, // 当前显示图片的 http 链接
			urls: curr, // 需要预览的图片 http 链接列表
		});
	},

	radioChange: function (e) {
		const sex = this.data.sex;
		let currentSex = "";
		for (let i = 0, len = sex.length; i < len; ++i) {
			sex[i].checked = sex[i].id == e.detail.value;
			if (sex[i].checked) {
				currentSex = sex[i].value;
			}
		}
		this.setData({
			["userInfo.sex"]: currentSex,
			sex,
		});
		console.log(e.detail.value);
	},
	chooseIdCard() {
		var that = this;
		console.log("ischoise");
		wx.chooseImage({
			count: 1,
			sizeType: ["original", "compressed"],
			sourceType: ["album", "camera"],
			success(res) {
				console.log(res);
				// debugger;
				that.uploadIdcardImg(res);
			},
		});
	},
	uploadIdcardImg(imgPath) {
		let that = this;
		// tempFilePath可以作为img标签的src属性显示图片
		let filePath;
		console.log(imgPath);
		if (imgPath.tempFilePaths) {
			filePath = imgPath.tempFilePaths[0];
		} else {
			filePath = imgPath;
		}

		console.log(filePath);
		wx.showLoading({
			title: "识别中...",
		});
		wx.uploadFile({
			// url: app.globalData.ip + '/commons/idCardOcrRecognize',
			url: app.globalData.ip + "/commons/idCardOcrRecognizeAndUploadToAliyunOss",
			filePath,
			name: "uploadFile",
			header: app.globalData.headers,
			success: function (res) {
				console.log(res);
				var idcard = JSON.parse(res.data);
				idcard.data["tel"] = that.data.tel;

				if (idcard.status == 200) {
					if (idcard.data.nationality.substr(idcard.data.nationality.length - 1, 1) != "族" && idcard.data.nationality.substr(idcard.data.nationality.length - 1, 1) != "") {
						idcard.data.nationality = idcard.data.nationality + "族";
					}

					that.setData({
						userInfo: idcard.data,
						ageIndex: parseInt(idcard.data.age) - 16,
						showUpload: false,
						idCardImg: idcard.data["idCardImageUrl"],
						currentImg: imgPath.tempFilePaths ? imgPath.tempFilePaths[0] : imgPath,
					});
					that.setStorage();
					console.log(that.data.userInfo);
					that.data.nationArray.forEach((item, index) => {
						if (item.name.includes(that.data.userInfo.nationality)) {
							that.setData({
								nationIndex: index,
							});
						}
					});
					if (that.data.userInfo.sex == "男") {
						that.data.sex[0].checked = true;
					} else {
						that.data.sex[1].checked = true;
					}

					// that.data.files.push({'url':tempFilePaths[0]})

					// console.log(that.data.files);

					that.setData({
						// files: that.data.files,
						sex: that.data.sex,
					});

					// that.data.files.push({ url: idcard.data.idCardImageUrl, id: -999 });
					// that.data.newAddImg.push(idcard.data.idCardImageUrl);
					that.setData({
						// files: that.data.files,
						// newAddImg: that.data.newAddImg,
					});
					that.pushImg();
				} else {
					wx.showToast({
						duration: 2000,
						title: "身份证未识别",
						icon: "none",
						mask: true,
					});
					// console.log(1);
					//app.showTips(that, res.data.msg);
				}
				wx.hideLoading();
			},
			fail: function (res) {
				console.log(res);
				setTimeout(() => {
					wx.hideLoading();
				}, 2000);
			},
		});
	},
	/**
	 * 生命周期函数--监听页面加载
	 */
	onLoad: function (options) {
		var that = this;
		console.log(options);
		// 先统一给代理名字赋予登陆者的名称applyType
		that.setData({
			agentName: app.globalData.user.userName,
			agentId: app.globalData.user.agencyId,
			pageFrom: options.applyType,
		});

		console.log(that.data.pageFrom + "1首页 2报名页");

		// console.log(JSON.parse(options.info));
		// 获取缓存的报名人信息
		let info = wx.getStorageSync("townsManInfo");
		console.log(info);
		if (app.isNotEmptyCheck(info)) {
			// 统一给代理岗位相关的字段赋值
			if (app.isNotEmptyCheck(info.userId)) {
				that.getImgs(info.userId);
			}

			if (info.nationality.substr(info.nationality.length - 1, 1) != "族" && info.nationality.substr(info.nationality.length - 1, 1) != "") {
				info.nationality = info.nationality + "族";
			}

			that.setData({
				userInfo: info,
				currentImg: info.currentImg,
			});
			if (app.isNotEmptyCheck(info.imgs)) {
				that.setData({
					files: info.imgs,
					urls: info.imgs,
				});
			}

			// this.setData({
			// 	userInfo: info,
			// 	currentImg: info.currentImg,
			// 	currentTime: info.currentTime,
			// });
			console.log(info);
			if (info.sex == "男" || info.sex == "1") {
				this.data.sex[0].checked = true;
			} else if (info.sex == "女" || info.sex == "2") {
				this.data.sex[1].checked = true;
			}
			that.data.nationArray.forEach((item, index) => {
				if (item.name.indexOf(info.nationality) > -1 && info.nationality != "") {
					console.log("isin");
					that.setData({
						nationIndex: index,
					});
				}
			});

			console.log(that.data.nationIndex);
			this.setData({
				sex: this.data.sex,
			});
			if (info.age) {
				this.setData({
					ageIndex: parseInt(info.age) - 16,
				});
			}
		}
		// this.getPolicyByStoreJobId(that.data.storeJobId);
		console.log(app.globalData.loginUserInfo);
		// let jobInfo = wx.getStorageSync("townsManInfoJob");
		// if (app.isNotEmptyCheck(jobInfo)) {
		// 	console.log(jobInfo);

		// 	this.setData({
		// 		storeJobId: jobInfo.id,
		// 		jobName: jobInfo.jobName,
		// 		inputVal: jobInfo.storeName || jobInfo.aliasName,
		// 		storeId: jobInfo.storeId,
		// 		policy: jobInfo.policy,
		// 		currentTime: jobInfo.currentTime,
		// 		currentTime2: jobInfo.currentTime2,
		// 		isShowZhedie: true,
		// 	});
		// }

		if (app.isNotEmptyCheck(options.info)) {
			console.log(options.info);
			console.log(JSON.parse(options.info));

			// 如果随路由传过来的信息有更新,赋值新的数据
			this.setData({
				storeJobId: JSON.parse(options.info).id,
				jobName: JSON.parse(options.info).jobName,
				inputVal: JSON.parse(options.info).storeName || JSON.parse(options.info).aliasName,
				storeId: JSON.parse(options.info).storeId,
			});
			that.getPolicyByStoreJobId(that.data.storeJobId).then(function () {
				console.log(that.data.policy);

				let data = { currentTime: that.data.currentTime, currentTime2: that.data.currentTime2, storeJobId: that.data.storeJobId, jobName: that.data.jobName, agentName: that.data.agentName, policy: that.data.policy };
				console.log(data);
				wx.setStorage({
					key: "townsManInfoJob",
					data,
				});
			});
		}

		if (app.isNotEmptyCheck(options.agencyInfo)) {
			that.setData({
				agentName: JSON.parse(options.agencyInfo).agencyName,
				agentId: JSON.parse(options.agencyInfo).id,
			});
		}
		if (app.isNotEmptyCheck(options.imgUrl)) {
			console.log(options.imgUrl);
			// let imgUrl = JSON.parse(options.imgUrl);
			that.uploadIdcardImg(options.imgUrl);
		}
	},
	toJobAndAgencySelect(e) {
		console.log(e);
		var that = this;
		console.log(this.data.userInfo);
		this.setStorage().then(() => {
			console.log("--------", "isIntonavigation");
			wx.navigateTo({
				url: `../../recordChoice/index?type=${e.currentTarget.dataset.type}&applyType=${that.data.pageFrom}`,
			});
		});
	},
	showImg() {
		wx.previewImage({
			current: this.data.currentImg, // 当前显示图片的 http 链接
			urls: [this.data.currentImg], // 需要预览的图片 http 链接列表
		});
	},
	deleteImg(e) {
		var that = this;
		console.log(e);
		that.data.files.forEach((item, index) => {
			if (item.id == e.currentTarget.dataset.id) {
				that.data.files.splice(index, 1);
			}
		});
		that.setData({
			files: that.data.files,
		});
	},

	/**
	 * 生命周期函数--监听页面初次渲染完成
	 */
	onReady: function () {
		// let src = wx.getStorageSync("src");
		// console.log(src);
	},
	bothwayBind(e) {
		console.log(e);
		let type = `userInfo.${e.currentTarget.dataset.type}`;
		this.setData({
			[type]: e.detail.value,
		});
	},
	beforeFormSubmit: function (e) {
		var that = this;
		console.log(e);
		console.log(that.data.files);
		that.setData({
			loading: true,
		});
		let time1 = new Date(that.data.currentTime).getTime();
		let time2 = new Date(that.data.currentTime2).getTime();
		let currentTime = new Date().getTime();
		if (time1 < time2) {
			wx.showToast({
				duration: 2000,
				title: "面试时间不能早于预计到达时间",
				icon: "none",
				mask: true,
			});
			that.setData({
				loading: false,
			});
			return;
		}
		if (time1 < currentTime || time2 < currentTime) {
			if (time1 < currentTime) {
				wx.showToast({
					duration: 2000,
					title: "面试时间不能早于现在的时间",
					icon: "none",
					mask: true,
				});
			} else if (time2 < currentTime) {
				wx.showToast({
					duration: 2000,
					title: "到达时间不能早于现在的时间",
					icon: "none",
					mask: true,
				});
			}
			that.setData({
				loading: false,
			});
			return;
		}
		if (app.isEmptyCheck(e.detail.value.userName)) {
			wx.showToast({
				duration: 2000,
				title: "请输入姓名",
				icon: "none",
				mask: true,
			});
			that.setData({
				loading: false,
			});
		} else if (app.isEmptyCheck(e.detail.value.sex)) {
			wx.showToast({
				duration: 2000,
				title: "请选择性别",
				icon: "none",
				mask: true,
			});
			that.setData({
				loading: false,
			});
		} else if (that.data.ageIndex == -1) {
			wx.showToast({
				duration: 2000,
				title: "请选择年龄",
				icon: "none",
				mask: true,
			});
			that.setData({
				loading: false,
			});
		} else if (app.isEmptyCheck(wx.getStorageSync("townsManInfoJob"))) {
			wx.showToast({
				duration: 2000,
				title: "请补全岗位信息",
				icon: "none",
				mask: true,
			});
			that.setData({
				loading: false,
			});
		} else if (app.isEmptyCheck(e.detail.value.idCard)) {
			wx.showToast({
				duration: 2000,
				title: "请输入身份证号",
				icon: "none",
				mask: true,
			});
			that.setData({
				loading: false,
			});
		} else {
			setTimeout(() => {
				that.formSubmit(e);
			}, 1);
			e.detail.value["idCardImageUrl"] = that.data.userInfo.idCardImageUrl;
		}
	},
	getTel(e) {
		let tel = e.detail.value;
		this.setData({
			tel: e.detail.value,
		});
	},

	setStorage() {
		let that = this;
		console.log(wx.getStorageSync("townsManInfo"));
		console.log(this.data.userInfo.tel);
		return new Promise((resolve, reject) => {
			console.log("写入缓存");
			console.log(that.data.userInfo.tel);
			// if(app.isNotEmptyCheck(that.data.tel)){
			//   userInfo['tel'] = that.data.tel;
			//   that.setData({
			//     tel:this.data.userInfo.tel,
			//     userInfo:
			//   })
			// }

			console.log(that.data.storeJobId);
			let data = { ...that.data.userInfo, currentImg: that.data.currentImg, imgs: that.data.files, tel: that.data.userInfo.tel };

			// currentTime: that.data.currentTime,currentTime2: that.data.currentTime2, storeJobId: that.data.storeJobId, jobName: that.data.jobName, agentName: that.data.agentName,policy:that.data.policy
			console.log(data);
			wx.setStorage({
				key: "townsManInfo",
				data,
			});

			if (that.data.storeJobId) {
				let data2 = { currentTime: that.data.currentTime, currentTime2: that.data.currentTime2, storeJobId: that.data.storeJobId, jobName: that.data.jobName, agentId: that.data.agentId, agentName: that.data.agentName, policy: that.data.policy };
				wx.setStorage({
					key: "townsManInfoJob",
					data: data2,
				});
			}

			console.log(wx.getStorageSync("townsManInfoJob"));
			console.log(wx.getStorageSync("townsManInfo"));
			resolve();
		});
	},
	formSubmit: function (e) {
		var that = this;
		console.log(e);
		that.setData({
			loading: true,
		});

		wx.showLoading({
			title: "提交中...",
			mask: true,
		});
		let userInfo = wx.getStorageSync("townsManInfo");
		let jobInfo = wx.getStorageSync("townsManInfoJob");
		// wx.showLoading({
		// 	title: "提交中...",
		// 	mask: true,
		// });
		// if (that.data.index == -1) {
		//   wx.showToast({
		//     duration: 2000,
		//     title: '请选择代理',
		//     icon: 'none',
		//     mask: true
		//   })
		//   that.setData({
		//     loading: false
		//   })
		// } else

		// if (that.data.jobIndex == -1) {
		// wx.showToast({
		// 	duration: 2000,
		// 	title: "请选择岗位",
		// 	icon: "none",
		// 	mask: true,
		// });
		// that.setData({
		// 	loading: false,
		// });
		// } else {
		console.log(that.data.userInfo);
		new Promise(function (resolve, reject) {
			var paramData = that.data.userInfo;
			paramData["userName"] = e.detail.value.userName;
			paramData["sex"] = e.detail.value.sex;
			paramData["age"] = that.data.userInfo.age;
			paramData["nation"] = that.data.userInfo.nationality;
			paramData["idCard"] = e.detail.value.idCard;
			paramData["num"] = e.detail.value.idCard;
			paramData["tel"] = e.detail.value.tel;
			paramData["idCardImageUrl"] = that.data.userInfo.idCardImageUrl;
			paramData["address"] = e.detail.value.address;
			paramData["desp"] = e.detail.value.desp;

			// if(app.isNotEmptyCheck(userInfo.imgs)){
			//   paramData["imgs"] = userInfo.imgs.toString();
			// }

			paramData["agencyId"] = '3087';
			paramData["jobId"] = jobInfo.storeJobId;
			paramData["policy"] = jobInfo.policy;
			paramData["interviewTime"] = jobInfo.currentTime;
			paramData["receptionTime"] = jobInfo.currentTime2;

			let urlss = [];
			if (app.isNotEmptyCheck(that.data.files)) {
				that.data.files.forEach((item) => {
					urlss.push(item.url);
				});
			}

			paramData["imgs"] = urlss.toString();

			resolve(paramData);
		}).then((paramData) => {
			console.log(paramData);
			wx.request({
				url: app.globalData.ip + "/yishoudan/common/order/add",
				header: app.globalData.headers,
				data: paramData,
				method: "POST",
				success: function (res) {
					// wx.removeStorageSync('townsManInfo')
					// wx.removeStorageSync('townsManInfoJob')

					console.log(res);
					if (res.data.status == 200) {
						console.log(that.data.pageFrom + "1首页 2报名页");
						setTimeout(function () {
							// wx.navigateBack({
							// 	delta: -1,
							// });
							// wx.setStorageSync('comeFromPage','')
							wx.navigateTo({
								url: `/pages/returnMessage/index?from=bill&type=success&msg=报名成功`,
							});
							// if (that.data.pageFrom == 1) {
							// 	wx.switchTab({
							// 		url: "../../firstBill/index",
							// 	});
							// } else {
							// 	wx.switchTab({
							// 		url: "../../workBench/index",
							// 	});
							// }
						}, 100);

						// wx.showToast({
						// 	duration: 2000,
						// 	title: "报名成功",
						// 	icon: "success",
						// 	mask: true,
						// });
					} else {
						wx.navigateTo({
							url: `/pages/returnMessage/index?from=bill&type=fail&msg=报名已提交&status${res.data.status}`,
						});
						// wx.showToast({
						// 	duration: 2000,
						// 	title: res.data.msg,
						// 	icon: "none",
						// 	mask: true,
						// });
					}
					that.setData({
						loading: false,
					});
					setTimeout(() => {
						wx.hideLoading();
					}, 2000);
				},
				fail(err) {
					console.log(err);
					wx.showToast({
						duration: 2000,
						title: err,
						icon: "none",
						mask: true,
					});
					setTimeout(() => {
						wx.hideLoading();
						that.setData({
							loading: false,
						});
					}, 2000);
				},
			});
		});

		//  wx.navigateBack({
		//    delta: -1,
		//  })
		// });

		// }
	},
	inputTyping: function (e) {
		this.setData({
			inputVal: e.detail.value,
		});
		if (e.detail.value.length > 0) {
			this.setData({
				searchListShow: true,
			});
			this.getStoreList(e.detail.value);
		} else {
			this.setData({
				searchListShow: false,
			});
		}
	},
	getStoreList: function (searchKeys) {
		console.log(searchKeys);
		var that = this;
		that.data.searchKeys = searchKeys;
		// 60秒后重新获取验证码
		wx.request({
			url: app.globalData.ip + "/store/getAllStoreAliasName",
			data: {
				keys: searchKeys,
			},
			header: app.globalData.headers,
			method: "GET",
			success: function (res) {
				console.log(res);
				if (res.data.status == 200) {
					that.setData({
						storeArray: res.data.data,
					});
				}
			},
			fail: function (res) {},
		});
	},
	setValue: function (e) {
		let str = e.currentTarget.dataset.name;
		let storeId = e.currentTarget.dataset.id;
		console.log(storeId);
		this.setData({
			inputVal: str,
			storeId: storeId,
			searchListShow: false,
		});
		this.getJobList(storeId);
	},
	getJobList: function (storeId) {
		var that = this;
		return new Promise((resolve, reject) => {
			wx.request({
				url: app.globalData.ip + "/store/job/getJobNameByStoreId",
				data: {
					storeId: storeId,
				},
				header: app.globalData.headers,
				method: "GET",
				success: function (res) {
					console.log(res);
					if (res.data.status == 200) {
						that.setData({
							jobArray: res.data.data,
						});
						resolve();
					}
				},
				fail: function (res) {},
			});
		});
	},

	// bindPickerChangeJob: function (e) {
	// 	var that = this;
	// 	console.log("picker发送选择改变，携带值为", e.detail.value);
	// 	var storeJobId = that.data.jobArray[e.detail.value].id;
	// 	console.log(storeJobId);
	// 	that.getPolicyByStoreJobId(storeJobId);
	// 	this.setData({
	// 		jobIndex: e.detail.value,
	// 	});
	// },
	bindPickerChangeNation(e) {
		let that = this;
		console.log("picker发送选择改变，携带值为", e.detail.value);
		var nationName = that.data.nationArray[e.detail.value].name;

		this.setData({
			nationIndex: e.detail.value,
			["userInfo.nationality"]: nationName,
		});
	},
	getPolicyByStoreJobId: function (storeJobId) {
		var that = this;
		return new Promise((resolve, reject) => {
			wx.request({
				url: app.globalData.ip + "/store/job/getPolicyByStoreJobId",
				data: {
					storeJobId: storeJobId ? storeJobId : "",
				},
				header: app.globalData.headers,
				method: "GET",
				success: function (res) {
					console.log(res);
					if (res.data.status == 200) {
						that.setData({
							policy: res.data.data,
							isShowZhedie: true,
						});
						resolve();
					}
				},
				fail: function (res) {
					console.log(res);
					reject();
				},
			});
		});
	},

	changeDateTime(e) {
		var dateTimeArray = this.data.dateTimeArray,
			dateTime = e.detail.value;
		this.setData({
			// dateTime: e.detail.value,
			currentTime: dateTimeArray[0][dateTime[0]].replace("年", "") + "-" + dateTimeArray[1][dateTime[1]].replace("月", "") + "-" + dateTimeArray[2][dateTime[2]].replace("日", "") + " " + dateTimeArray[3][dateTime[3]],
		});
		console.log(this.data.dateTimeArray);

		console.log(wx.getStorageSync("townsManInfoJob"));
		let result = wx.getStorageSync("townsManInfoJob");
		result.currentTime = this.data.currentTime;
		wx.setStorageSync("townsManInfoJob", result);
	},

	changeDateTimeColumn(e) {
		console.log(e);
		var arr = this.data.dateTime,
			dateArr = this.data.dateTimeArray;
		arr[e.detail.column] = e.detail.value;
		console.log("aaaaaa");
		console.log(dateArr[0][arr[0]], dateArr[1][arr[1]]);

		dateArr[2] = dateTimePicker.getMonthDay(dateArr[0][arr[0]], dateArr[1][arr[1]]);
		for (let index = 0; index < dateArr[2].length; index++) {
			dateArr[2][index] = dateArr[2][index] + "日";
		}
		// .replace("年",'').replace("月",'').replace("日",'')
		this.setData({
			dateTimeArray: dateArr,
			dateTime: arr,
		});
	},

	changeDateTime2(e) {
		var dateTimeArray = this.data.dateTimeArray,
			dateTime = e.detail.value;
		this.setData({
			// dateTime: e.detail.value,
			currentTime2: dateTimeArray[0][dateTime[0]].replace("年", "") + "-" + dateTimeArray[1][dateTime[1]].replace("月", "") + "-" + dateTimeArray[2][dateTime[2]].replace("日", "") + " " + dateTimeArray[3][dateTime[3]],
		});
		console.log(this.data.dateTimeArray);

		console.log(wx.getStorageSync("townsManInfoJob"));
		let result = wx.getStorageSync("townsManInfoJob");
		result.currentTime2 = this.data.currentTime2;
		wx.setStorageSync("townsManInfoJob", result);
	},

	changeDateTimeColumn2(e) {
		var arr = this.data.dateTime2,
			dateArr = this.data.dateTimeArray;
		arr[e.detail.column] = e.detail.value;
		dateArr[2] = dateTimePicker.getMonthDay(dateArr[0][arr[0]], dateArr[1][arr[1]]);
		for (let index = 0; index < dateArr[2].length; index++) {
			dateArr[2][index] = dateArr[2][index] + "日";
		}
		// .replace("年",'').replace("月",'').replace("日",'')
		this.setData({
			dateTimeArray: dateArr,
			dateTime2: arr,
		});
	},

	// getAgencyList: function (searchKeys) {
	// 	var that = this;
	// 	that.data.searchKeysA = searchKeys;
	// 	// 60秒后重新获取验证码
	// 	wx.request({
	// 		url: app.globalData.ip + "/agency/getByPmdUserId",
	// 		data: {
	// 			agencyName: searchKeys,
	// 			// pmdUserId: 101125
	// 		},
	// 		header: app.globalData.headers,
	// 		method: "GET",
	// 		success: function (res) {
	// 			console.log(res);
	// 			if (res.data.status == 200) {
	// 				that.setData({
	// 					agentArray: res.data.data,
	// 				});
	// 			}
	// 		},
	// 		fail: function (res) {},
	// 	});
	// },
	/**
	 * 生命周期函数--监听页面显示
	 */
	getImgs(userId) {
		var that = this;
		wx.request({
			url: app.globalData.ip + "/imgs/list/" + userId + "?type=20",
			header: app.globalData.headers,
			method: "GET",
			success: function (res) {
				console.log(res);
				// if (res.data.status == 200) {
				let currFils = [];
				let regs = /\.(jpg|jpeg|png)(\?.*)?$/;
				// res.data.data.storeImage.forEach((item) => {
				//   item.isImg = regs.test(item.url.toLowerCase());
				//   if(app.isEmptyCheck(item.recordState)){
				//     item.recordState = 1
				//   }
				// });
				if (app.isNotEmptyCheck(res.data.data.userImgs)) {
					res.data.data.userImgs.forEach((item) => {
						if (regs.test(item.url.toLowerCase())) {
							currFils.push({ url: item.url, id: item.id });
						}
					});
				}

				that.setData({
					files: currFils,
					urls: currFils,
				});
				// }
			},
			fail: function (res) {
				console.log(res);
			},
		});
	},

	onShow: function () {
		let that = this;
		that.setData({
			pageShow: false,
		});
		// wx.hideTabBar({
		// 	success(e) {
		// 		setTimeout(() => {
		that.setData({
			pageShow: true,
		});
		// 		}, 500);
		// 		// that.setData({
		// 		// 	currentJobDrawer: { ...event.currentTarget.dataset.item, index: event.currentTarget.dataset.index },
		// 		// 	drawerShow: true,
		// 		// });
		// 	},
		// });
		if (typeof this.getTabBar === "function" && this.getTabBar()) {
			this.getTabBar().setData({
				selected: 1,
				isShow: false,
			});
		}
		that.pushImg();

		for (let i = 16; i < 70; i++) {
			that.data.ageArray.push(i);
		}

		// let that = this;
		// let info = wx.getStorageSync("townsManInfo");
		// if (app.isNotEmptyCheck(info)) {
		// 	this.setData({
		// 		userInfo: info,
		// 		currentImg: info.currentImg,
		// 		currentTime: info.currentTime,
		// 	});
		// 	console.log(info);
		// 	if (info.sex == "男") {
		// 		this.data.sex[0].checked = true;
		// 	} else if (info.sex == "女") {
		// 		this.data.sex[1].checked = true;
		// 	}
		// 	that.data.nationArray.forEach((item, index) => {
		// 		if (item.name.indexOf(info.nationality) > -1 && info.nationality != "") {
		// 			console.log("isin");
		// 			that.setData({
		// 				nationIndex: index,
		// 			});
		// 		}
		// 	});
		// 	console.log(that.data.nationIndex);
		// 	this.setData({
		// 		sex: this.data.sex,
		// 	});
		// }
		// this.pickerTap();
		let hour = new Date().getHours();
		if (hour < 20 && hour >= 6) {
			if (that.data.currentTime == that.data.copyTime) {
				that.data.currentTime = that.data.currentTime + " " + (hour + 1) + ":00";
				that.data.currentTime2 = that.data.currentTime2 + " " + (hour + 1) + ":00";
			}
		} else if (hour >= 20) {
			if (that.data.currentTime == that.data.copyTime) {
				that.data.currentTime = that.data.currentTime + " " + "19:30";
				that.data.currentTime2 = that.data.currentTime2 + " " + "19:30";
			}
		} else if (hour < 6) {
			if (that.data.currentTime == that.data.copyTime) {
				that.data.currentTime = that.data.currentTime + " " + "6:00";
				that.data.currentTime2 = that.data.currentTime2 + " " + "6:00";
			}
		}
		this.setData({
			currentTime: that.data.currentTime,
			currentTime2: that.data.currentTime2,
		});
		var obj = dateTimePicker.dateTimePicker(this.data.startYear, this.data.endYear, this.data.currentTime);
		console.log(obj);
		console.log(obj.dateTimeArray);
		for (let index = 0; index < obj.dateTimeArray[0].length; index++) {
			obj.dateTimeArray[0][index] = obj.dateTimeArray[0][index] + "年";
		}
		for (let index = 0; index < obj.dateTimeArray[1].length; index++) {
			obj.dateTimeArray[1][index] = obj.dateTimeArray[1][index] + "月";
		}
		for (let index = 0; index < obj.dateTimeArray[2].length; index++) {
			obj.dateTimeArray[2][index] = obj.dateTimeArray[2][index] + "日";
		}
		if (that.data.storeJobId) {
			that.getPolicyByStoreJobId(that.data.storeJobId).then(function () {
				console.log(that.data.policy);
				let data = { currentTime: that.data.currentTime, currentTime2: that.data.currentTime2, storeJobId: that.data.storeJobId, jobName: that.data.jobName, agentName: that.data.agentName, policy: that.data.policy };
				console.log(data);
				wx.setStorage({
					key: "townsManInfoJob",
					data,
				});
			});
		}

		console.log(app.globalData.loginUserInfo);
		this.setData({
			managerRoleClassify: app.globalData.loginUserInfo.managerRoleClassify,
			corpUserFlag: app.globalData.loginUserInfo.corpUserFlag,
			dateTimeArray: obj.dateTimeArray,
			dateTime: obj.dateTime,
			dateTimeArray2: obj.dateTimeArray,
			dateTime2: obj.dateTime,
			ageArray: that.data.ageArray,
		});
		console.log();
	},
	switch1Change: function (e) {
		console.log("radio发生change事件，携带value值为：", e.detail.value);
		console.log(e.detail.value);

		var check = this.data.switch1Checked;
		if (check) {
			this.data.switch1Checked = false;
			console.log("已取消选中");
			wx.showToast({
				title: "请先阅读并同意《服务协议》及《隐私政策》",
				icon: "none",
				duration: 2000,
			});
		} else {
			this.data.switch1Checked = true;
			console.log("已选中");
		}
		this.setData({
			switch1Checked: this.data.switch1Checked,
		});

		// if(!e.detail.value){

		// }
	},
	/**
	 * 生命周期函数--监听页面隐藏
	 */
	onHide: function (e) {
		console.log("isHide");
		console.log(e);
	},
	// tabbar点击监听
	onTabItemTap(e) {
		console.log(e);
		let that = this;
		if (!app.globalData.isLogin) {
			if (e.index == 1) {
				wx.redirectTo({
					url: "/pages/login/index",
				});
			}
		} else {
			console.log("1250", app.globalData.loginUserInfo.agencyStatus);
			if (app.globalData.loginUserInfo.agencyStatus != 1) {
				wx.redirectTo({
					url: "/pages/tobeAgency/index",
				});
			}
		}
	},
	/**
	 * 预览身份证图片
	 *
	 *
	 */
	previewImage(e) {
		let that = this;
		console.log(e);
		wx.previewImage({
			current: that.data.idCardImg, // 当前显示图片的 http 链接
			urls: [that.data.idCardImg], // 需要预览的图片 http 链接列表
		});
	},
	/**
	 * 预览附件图片
	 *
	 *
	 */
	previewImg() {},
	/**
	 * 生命周期函数--监听页面卸载
	 */
	onUnload: function () {
		console.log("isonUnload");
		this.setData({
			userInfo: {
				name: "",
				address: "",
				age: "",
				nationality: "",
				sex: "",
				num: "",
				idCardImageUrl: "",
			},
		});
		wx.removeStorageSync("townsManInfo");
		//  wx.removeStorageSync("townsManInfo");
		// wx.switchTab({
		// 	url: "../firstBill/index",
		// });
		// console.log(wx.getStorageSync("townsManInfo"));
	},

	/**
	 * 页面相关事件处理函数--监听用户下拉动作
	 */
	onPullDownRefresh: function () {},

	/**
	 * 页面上拉触底事件的处理函数
	 */
	onReachBottom: function () {},

	/**
	 * 用户点击右上角分享
	 */
  onShareAppMessage1: function () {},
  toJobAndAgencySelect (e) {
    console.log(e);
    var that = this;
    console.log(this.data.userInfo);
    this.setStorage().then(() => {
      console.log("--------", "isIntonavigation");
      wx.navigateTo({
        url: `../../recordChoice/index?type=${e.currentTarget.dataset.type}&applyType=${that.data.pageFrom}`,
      });
    });
  },
});
